#!/bin/bash

# Exit on error
set -e

# Exit on unbound variable
set -u

### Check parameters
if [ $# -ne 1 ]
then
    echo "Wrong number of parameters"
    echo "usage: $0 <private key file>"
    echo "example: $0 key.pem"
    exit 1
fi
keyFile=$1

# Generate private key
if [ ! -e $keyFile ]
then
    openssl genrsa 2048 | openssl pkcs8 -topk8 -nocrypt -out "$keyFile"
    chmod 400 "$keyFile"
else
    echo "Key file exists. Skipping key generation"
fi
